## jenkins 1.0

=== DESCRIPTION ===
Package: jenkins
Type: Package
Title: Simple Jenkins Client
Version: 1.0
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Description: Manage jobs and builds on your Jenkins CI server <https://jenkins.io/>. 
    Create and edit projects, schedule builds, manage the queue, download build logs,
    and much more.
License: MIT + file LICENSE
URL: https://docs.ropensci.org/jenkins/ (website),
        https://github.com/ropensci/jenkins
BugReports: https://github.com/ropensci/jenkins/issues
Encoding: UTF-8
Imports: curl, jsonlite
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-06-04 12:09:33 UTC; jeroen
Repository: CRAN
Date/Publication: 2019-06-04 15:00:03 UTC
