=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/maven.mk

JAVA_HOME := /usr/lib/jvm/default-java
DEB_MAVEN_BUILD_TARGET := install 
DEB_MAVEN_ARGS := -e -Dbuild.version="$(DEB_UPSTREAM_VERSION)"
DEB_MAVEN_INSTALL_TO_USJ := false

# Install the POM for plugin-parent manually as not part
# of main build
binary-post-install/libjenkins-plugin-parent-java::
	mh_installpoms -plibjenkins-plugin-parent-java

# Sort out MANIFEST.MF entries in jenkins cli .jar files
# and create handy links for script wrapper
binary-post-install/jenkins-cli::
	dh_link -pjenkins-cli usr/share/jenkins/cli/java/cli-$(DEB_UPSTREAM_VERSION)-jar-with-dependencies.jar \
		usr/share/jenkins/cli/java/cli.jar
	jh_classpath -pjenkins-cli
	jh_manifest -pjenkins-cli

# Create handy links for script wrapper
binary-post-install/jenkins-external-job-monitor::
	dh_link -pjenkins-external-job-monitor usr/share/jenkins/external-job-monitor/java/remoting-$(DEB_UPSTREAM_VERSION).jar \
        usr/share/jenkins/external-job-monitor/java/remoting.jar
	dh_link -pjenkins-external-job-monitor usr/share/jenkins/external-job-monitor/java/jenkins-core-$(DEB_UPSTREAM_VERSION).jar \
	    usr/share/jenkins/external-job-monitor/java/jenkins-core.jar

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
