## jenkins 1.409.3+dfsg

=== debian/changelog ===
jenkins (1.409.3+dfsg-2) unstable; urgency=low

  [ James Page ]
  * http://www.cloudbees.com/jenkins-advisory/jenkins-security-advisory-2012-01-10.cb
    - Rebuild to pickup new versions of jenkins-winstone (>= 0.9.10-jenkins-31)
      and jenkins-executable-war (>= 1.25) to fix Hash DoS vulnerability in
      jenkins when running standalone.

  [ Damien Raude-Morvan ]
  * Add DM-Upload-Allowed flag for James Page.

 -- James Page <james.page@ubuntu.com>  Sat, 14 Jan 2012 18:41:37 +0100

jenkins (1.409.3+dfsg-1) unstable; urgency=low

  * Initial Debian release (Closes: #561963):
    - Repack for DFSG compliance.
  * Disabled build of libjenkins-plugin-parent-java as not currently
    installable due to broken upstream maven-hpi-plugin.
  * Added Debian init scripts and default configuration for jenkins 
    and jenkins-slave packages and updated rules to switch in upstart 
    configuration for Ubuntu builds.
  * d/bin/dowload-slave.sh: Updated to use parameter rather than 
    environment variable when locating Jenkins master server.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Dec 2011 12:04:59 +0000

jenkins (1.409.3-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Refreshed patches.
    - d/maven.rules: Updated jenkins version to 1.409.3.
  * Pickup new version of jenkins-winstone resolving XSS security 
    vulnerability (LP: #889181).
  * d/patches/build/apt-stapler-processing.patch: Temporary patch to fix
    build when using later versions of stapler which use standard  
    Java annotation processing.

 -- James Page <james.page@ubuntu.com>  Tue, 22 Nov 2011 08:31:53 +0000

jenkins (1.409.2-0ubuntu1) precise; urgency=low

  * New upstream release:
    - d/control: Added new BDI's - libjtidy-java, libjenkins-htmlunit-java
    - Refreshed patches.
    - d/maven.rules: Updated jenkins version to 1.409.2.
  * Updated upstart configuration to start on runlevel [2345].
  * Revised patches to filter on compile/test surplus native integrations 
    rather than patchout complete files.
  * Re-organised patches by type.
  * Fixed issue with projects with spaces in names with jenkins-monitor-job
    (LP: #880786).

 -- James Page <james.page@ubuntu.com>  Sat, 22 Oct 2011 11:57:35 +0100
