=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jenkins
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: James Page <james.page@ubuntu.com>
 Build-Depends:
  cdbs,
  debhelper (>= 7),
@@ -16,7 +17,7 @@
  glassfish-mail,
  groovy,
  jenkins-crypto-util,
- jenkins-executable-war,
+ jenkins-executable-war (>= 1.25),
  jenkins-memory-monitor,
  jenkins-task-reactor,
  jenkins-test-annotations,
@@ -46,8 +47,10 @@
  libjellydoc-java,
  libjenkins-commons-jelly-java,
  libjenkins-commons-jexl-java,
+ libjenkins-htmlunit-java,
+ libjenkins-json-java (>= 2.1-rev7),
  libjenkins-trilead-ssh2-java,
- libjenkins-winstone-java,
+ libjenkins-winstone-java (>= 0.9.10-jenkins-31),
  libjenkins-xstream-java,
  libjetty-java,
  libjffi-java,
@@ -57,13 +60,13 @@
  libjnr-posix-java,
  libjson-java,
  libjstl1.1-java,
+ libjtidy-java,
  liblocalizer-java,
  libmaven-antrun-extended-plugin-java,
  libmaven-assembly-plugin-java,
  libmaven-dependency-plugin-java,
  libmaven-embedder-java,
  libmaven-enforcer-plugin-java,
- libmaven-hpi-plugin-java,
  libmaven-install-plugin-java,
  libmaven-javadoc-plugin-java,
  libmaven-stapler-plugin-java,
@@ -87,6 +90,9 @@
  ttf-dejavu-core
 Standards-Version: 3.9.2
 Homepage: http://jenkins-ci.org/
+Vcs-Git: git://git.debian.org/git/pkg-java/jenkins.git
+Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins.git
+DM-Upload-Allowed: yes
 
 Package: libjenkins-java
 Architecture: all
@@ -113,29 +119,29 @@
  This package contains the core libraries that are used by Jenkins.
  These are useful when building other components such as plugins.
 
-Package: libjenkins-plugin-parent-java
-Architecture: all
-Depends: libmaven-hpi-plugin-java, libmaven-stapler-plugin-java, ${misc:Depends}
-Description: Jenkins Plugin Parent Maven POM
- Jenkins monitors executions of repeated jobs, such as building a software
- project or jobs run by cron. Among those things, current Jenkins focuses
- on the following two jobs:
- .
-  * Building/testing software projects continuously, just like CruiseControl
-    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
-    so-called continuous integration system, making it easier for developers
-    to integrate changes to the project, and making it easier for users to
-    obtain a fresh build. The automated, continuous build increases
-    productivity.
-  * Monitoring executions of externally-run jobs, such as cron jobs and
-    procmail jobs, even those that are run on a remote machine. For example,
-    with cron, all you receive is regular e-mails that capture the output,
-    and it is up to you to look at them diligently and notice when it broke.
-    Jenkins keeps those outputs and makes it easy for you to notice when
-    something is wrong.
- .
- This package contains the parent POM file that all Jenkins plugins should be 
- built against.
+#Package: libjenkins-plugin-parent-java
+#Architecture: all
+#Depends: libmaven-hpi-plugin-java, libmaven-stapler-plugin-java, ${misc:Depends}
+#Description: Jenkins Plugin Parent Maven POM
+# Jenkins monitors executions of repeated jobs, such as building a software
+# project or jobs run by cron. Among those things, current Jenkins focuses
+# on the following two jobs:
+# .
+#  * Building/testing software projects continuously, just like CruiseControl
+#    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
+#    so-called continuous integration system, making it easier for developers
+#    to integrate changes to the project, and making it easier for users to
+#    obtain a fresh build. The automated, continuous build increases
+#    productivity.
+#  * Monitoring executions of externally-run jobs, such as cron jobs and
+#    procmail jobs, even those that are run on a remote machine. For example,
+#    with cron, all you receive is regular e-mails that capture the output,
+#    and it is up to you to look at them diligently and notice when it broke.
+#    Jenkins keeps those outputs and makes it easy for you to notice when
+#    something is wrong.
+# .
+# This package contains the parent POM file that all Jenkins plugins should be
+# built against.
 
 Package: jenkins-common
 Architecture: all
@@ -166,29 +172,28 @@
 Architecture: all
 Depends:
  adduser,
- daemon,
+ ${jenkins-daemon-deps},
  default-jre-headless | java6-runtime-headless,
  jenkins-common,
  ${misc:Depends}
 Conflicts: jenkins-tomcat, tomcat6
-Suggests: jenkins-ssh-slaves-plugin
 Description: Continuous Integration and Job Scheduling Server
  Jenkins monitors executions of repeated jobs, such as building a software
- project or jobs run by cron. Among those things, current Jenkins focuses 
- on the following two jobs:
- .
-  * Building/testing software projects continuously, just like CruiseControl 
-    or DamageControl. In a nutshell, Jenkins provides an easy-to-use 
-    so-called continuous integration system, making it easier for developers 
-    to integrate changes to the project, and making it easier for users to 
-    obtain a fresh build. The automated, continuous build increases 
-    productivity.
-  * Monitoring executions of externally-run jobs, such as cron jobs and 
-    procmail jobs, even those that are run on a remote machine. For example, 
-    with cron, all you receive is regular e-mails that capture the output, 
-    and it is up to you to look at them diligently and notice when it broke. 
-    Jenkins keeps those outputs and makes it easy for you to notice when 
-    something is wrong. 
+ project or jobs run by cron. Among those things, current Jenkins focuses
+ on the following two jobs:
+ .
+  * Building/testing software projects continuously, just like CruiseControl
+    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
+    so-called continuous integration system, making it easier for developers
+    to integrate changes to the project, and making it easier for users to
+    obtain a fresh build. The automated, continuous build increases
+    productivity.
+  * Monitoring executions of externally-run jobs, such as cron jobs and
+    procmail jobs, even those that are run on a remote machine. For example,
+    with cron, all you receive is regular e-mails that capture the output,
+    and it is up to you to look at them diligently and notice when it broke.
+    Jenkins keeps those outputs and makes it easy for you to notice when
+    something is wrong.
  .
  This package supports using Jenkins in standalone mode utilising the
  embedded winstone servlet container.
@@ -197,10 +202,10 @@
 Architecture: all
 Depends:
  adduser,
- daemon,
+ ${jenkins-daemon-deps},
  default-jre-headless | java6-runtime-headless,
  ${misc:Depends}
-Recommends: jenkins-cli, ssh-import-id, ssh-server | openssh-server
+Recommends: jenkins-cli, ssh-server | openssh-server
 Description: Jenkins slave node helper
  Jenkins monitors executions of repeated jobs, such as building a software
  project or jobs run by cron. Among those things, current Jenkins focuses
@@ -219,11 +224,11 @@
     Jenkins keeps those outputs and makes it easy for you to notice when
     something is wrong.
  .
- This package provides a metapackage to install the dependencies required 
+ This package provides a metapackage to install the dependencies required
  to support running jenkins slave nodes.
  .
- It also includes an upstart configuration and helper script to start a 
- Jenkins Slave locally (where direct network access to the slave might not 
+ It also includes an upstart configuration and helper script to start a
+ Jenkins Slave locally (where direct network access to the slave might not
  be possible).
 
 Package: jenkins-external-job-monitor
@@ -255,7 +260,7 @@
     Jenkins keeps those outputs and makes it easy for you to notice when
     something is wrong.
  .
- This package provides the Java dependencies and a helper script for 
+ This package provides the Java dependencies and a helper script for
  running external jobs which are monitored by Jenkins.
 
 Package: jenkins-cli
@@ -283,7 +288,7 @@
     Jenkins keeps those outputs and makes it easy for you to notice when
     something is wrong.
  .
- This package provies the Jenkins Command Line Interface that supports a 
+ This package provies the Jenkins Command Line Interface that supports a
  wide range of remote interaction with a Jenkins instance.
 
 Package: jenkins-tomcat
@@ -291,12 +296,8 @@
 Depends: jenkins-common, tomcat6, ${misc:Depends}
 Conflicts: jenkins
 Provides: jenkins
-Suggests: jenkins-ssh-slaves-plugin
 Description: Jenkins CI on Tomcat 6
  Jenkins monitors executions of repeated jobs, such as building a software
  project or jobs run by cron. Among those things, current Jenkins focuses
  on the following two jobs:
  .
-  * Building/testing software projects continuously, just like CruiseControl
-    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
-    so-called continuous integration system, making it easier for developers
