## jenkins 1.424.3+dfsg

=== debian/changelog ===
jenkins (1.424.3+dfsg-1) unstable; urgency=low

  * New upstream bugfix release.
  * Refreshed patches:
    - Dropped disable-avalon-frawework.patch - no longer required.
  * Bumped Standards-Version: 3.9.3; no changes required.
  * Enable use of jenkins-instance-identity and jenkins-ssh-cli-auth to 
    support use of public/private keypairs when using the jenkins remote
    cli tool. 
  * Dropped jcaptcha-slf4j.patch; no longer required as library not used.
  * Updated plugin parent pom file to specifiy default source/target for
    maven-compiler-plugin as Java 1.5.
  * Ensure that jenkins group exists and that its the primary group for
    the jenkins user to help deal with transition from upstream packaging 
    (Closes: #661203).

 -- James Page <james.page@ubuntu.com>  Tue, 28 Feb 2012 16:51:50 +0000

jenkins (1.424.2+dfsg-2) unstable; urgency=low

  * Enable Jenkins plugin components to support building plugins and 
    modules (Closes: #658071):
    - d/control: Enabled libjenkins-plugin-parent-java, updated dependencies.
    - d/plugin-debian.pom.in,rules: Install pom file to act as parent POM for 
      plugin development based on upstream plugin pom file.
    - d/libjenkins-plugin-parent-java.poms: Dropped - no longer required.
    - d/patches/build/plugin.patch: Dropped - no longer required.
  * Switch to using libservlet2.5-java (Closes: #658805)

 -- James Page <james.page@ubuntu.com>  Fri, 10 Feb 2012 14:20:19 +0000
