=== debian/control ===
--- 
+++ 
@@ -18,7 +18,9 @@
  groovy,
  jenkins-crypto-util,
  jenkins-executable-war (>= 1.25),
+ jenkins-instance-identity,
  jenkins-memory-monitor,
+ jenkins-ssh-cli-auth,
  jenkins-task-reactor,
  jenkins-test-annotations,
  junit (>= 3.8.2),
@@ -45,6 +47,7 @@
  libcommons-logging-java,
  libjaxen-java,
  libjellydoc-java,
+ libjenkins-plugin-parent-java,
  libjenkins-commons-jelly-java,
  libjenkins-commons-jexl-java,
  libjenkins-htmlunit-java,
@@ -77,7 +80,7 @@
  libmetainf-services-java,
  libpam4j-java,
  librobust-http-client-java,
- libservlet2.4-java,
+ libservlet2.5-java,
  libsezpoz-java,
  libspring-aop-java,
  libspring-core-java,
@@ -90,7 +93,7 @@
  libtxw2-java,
  libxpp3-java,
  ttf-dejavu-core
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://jenkins-ci.org/
 Vcs-Git: git://git.debian.org/git/pkg-java/jenkins.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins.git
@@ -121,33 +124,41 @@
  This package contains the core libraries that are used by Jenkins.
  These are useful when building other components such as plugins.
 
-#Package: libjenkins-plugin-parent-java
-#Architecture: all
-#Depends: libmaven-hpi-plugin-java, libmaven-stapler-plugin-java, ${misc:Depends}
-#Description: Jenkins Plugin Parent Maven POM
-# Jenkins monitors executions of repeated jobs, such as building a software
-# project or jobs run by cron. Among those things, current Jenkins focuses
-# on the following two jobs:
-# .
-#  * Building/testing software projects continuously, just like CruiseControl
-#    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
-#    so-called continuous integration system, making it easier for developers
-#    to integrate changes to the project, and making it easier for users to
-#    obtain a fresh build. The automated, continuous build increases
-#    productivity.
-#  * Monitoring executions of externally-run jobs, such as cron jobs and
-#    procmail jobs, even those that are run on a remote machine. For example,
-#    with cron, all you receive is regular e-mails that capture the output,
-#    and it is up to you to look at them diligently and notice when it broke.
-#    Jenkins keeps those outputs and makes it easy for you to notice when
-#    something is wrong.
-# .
-# This package contains the parent POM file that all Jenkins plugins should be
-# built against.
+Package: libjenkins-plugin-parent-java
+Architecture: all
+Depends:
+ junit4,
+ libjenkins-java,
+ libmaven-hpi-plugin-java,
+ libmaven-javadoc-plugin-java,
+ libmaven-stapler-plugin-java,
+ libservlet2.5-java,
+ libsurefire-java,
+ ${misc:Depends}
+Description: Jenkins Plugin Parent Maven POM
+ Jenkins monitors executions of repeated jobs, such as building a software
+ project or jobs run by cron. Among those things, current Jenkins focuses
+ on the following two jobs:
+ .
+  * Building/testing software projects continuously, just like CruiseControl
+    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
+    so-called continuous integration system, making it easier for developers
+    to integrate changes to the project, and making it easier for users to
+    obtain a fresh build. The automated, continuous build increases
+    productivity.
+  * Monitoring executions of externally-run jobs, such as cron jobs and
+    procmail jobs, even those that are run on a remote machine. For example,
+    with cron, all you receive is regular e-mails that capture the output,
+    and it is up to you to look at them diligently and notice when it broke.
+    Jenkins keeps those outputs and makes it easy for you to notice when
+    something is wrong.
+ .
+ This package contains the parent POM file that all Jenkins plugins and modules
+ should be built against.
 
 Package: jenkins-common
 Architecture: all
-Depends: 
+Depends:
  libjenkins-remoting-java,
  libjffi-java,
  libjna-java,
@@ -179,9 +190,9 @@
 Architecture: all
 Depends:
  adduser,
- ${jenkins-daemon-deps},
  default-jre-headless | java6-runtime-headless,
  jenkins-common,
+ ${jenkins-daemon-deps},
  ${misc:Depends}
 Conflicts: jenkins-tomcat, tomcat6
 Description: Continuous Integration and Job Scheduling Server
@@ -209,8 +220,8 @@
 Architecture: all
 Depends:
  adduser,
+ default-jre-headless | java6-runtime-headless,
  ${jenkins-daemon-deps},
- default-jre-headless | java6-runtime-headless,
  ${misc:Depends}
 Recommends: jenkins-cli, ssh-server | openssh-server
 Description: Jenkins slave node helper
@@ -302,7 +313,3 @@
 Package: jenkins-tomcat
 Architecture: all
 Depends: jenkins-common, tomcat6, ${misc:Depends}
-Conflicts: jenkins
-Provides: jenkins
-Description: Jenkins CI on Tomcat 6
- Jenkins monitors executions of repeated jobs, such as building a software
