=== debian/control ===
--- 
+++ 
@@ -78,6 +78,7 @@
  libmaven-war-plugin-java,
  libmaven2-core-java,
  libmetainf-services-java,
+ libowasp-java-html-sanitizer-java,
  libpam4j-java,
  librobust-http-client-java,
  libservlet2.5-java,
@@ -312,4 +313,3 @@
 
 Package: jenkins-tomcat
 Architecture: all
-Depends: jenkins-common, tomcat6, ${misc:Depends}
