## jenkins 1.424.6+dfsg

=== debian/changelog ===
jenkins (1.424.6+dfsg-1ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: Remote code execution and XSS vulnerabilities
    in Jenkins core (LP: #1055416):
    - d/p/security/CVE-2012-4438_CVE-2012-4439.patch: Cherry picked
      fixes from 1.466.2 release to resolve remote code execution
      and XSS security vulnerabilities.
    - http://www.cloudbees.com/jenkins-advisory/jenkins-security-advisory-2012-09-17.cb
    - CVE-2012-4438
    - CVE-2012-4439

 -- James Page <james.page@ubuntu.com>  Tue, 25 Sep 2012 13:32:05 +0100
