=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jenkins
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>
 Build-Depends:
  cdbs,
@@ -309,7 +310,3 @@
     something is wrong.
  .
  This package provies the Jenkins Command Line Interface that supports a
- wide range of remote interaction with a Jenkins instance.
-
-Package: jenkins-tomcat
-Architecture: all
