=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,16 @@
 DEB_DH_GENCONTROL_ARGS:= -- -Tdebian/debian_control_vars
 endif
 
+# Generate POM file for plugins
+debian/plugin-debian.pom: debian/plugin-debian.pom.in
+	sed -e "s|__VERSION__|$(DEB_UPSTREAM_VERSION)|g" $< > debian/plugin-debian.pom
+
 # Install the POM for plugin-parent manually as not part
-# of main build
-binary-post-install/libjenkins-plugin-parent-java::
-	mh_installpoms -plibjenkins-plugin-parent-java
+# of main build - manually installed as not managed by 
+# m-d-h as breaks build elements for re-use.
+binary-post-install/libjenkins-plugin-parent-java:: debian/plugin-debian.pom
+	dh_install -plibjenkins-plugin-parent-java debian/plugin-debian.pom \
+		usr/share/maven-repo/org/jenkins-ci/plugins/plugin/debian
 
 # Sort out MANIFEST.MF entries in jenkins cli .jar files
 # and create handy links for script wrapper
@@ -50,6 +56,7 @@
 clean::
 	[ ! -f dummy.keystore ] || rm dummy.keystore
 	rm -rf debian/*.upstart
+	rm -rf debian/plugin-debian.pom
 
 get-orig-source:
 	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
@@ -57,6 +64,12 @@
         ../jenkins_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz
 
 before-mvn-build:: dummy.keystore
+	# Purge out links relating to jenkins from the copy of the maven repo
+	# fixes issue with circular dependency and the need to use the install
+	# maven target
+	for module in jenkins-core cli pom jenkins-war; do \
+		find debian/maven-repo/org/jenkins-ci/main/$${module} -type l -delete || true ;\
+	done
 
 dummy.keystore:
 	keytool -genkeypair -dname "cn=Jenkins, ou=Jenkins Project, o=Debian, c=US" \
