=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://githubredir.debian.net/github/jenkinsci/jenkins/ jenkins-(\d+).(\d+).(\d+).tar.gz debian debian/orig-tar.sh
